Follow

What are the technical requirements for using hiku?

An Internet connection at home with a 2.4Ghz Wi-Fi network and either

a) an iPhone running iOS version 8.2 or higher. iPod 4 or higher or any iPad will also work with hiku. 

OR

b) an Android phone running Android 4.0 or higher. Android tablets will also work with hiku. 

Comments

Powered by Zendesk